Function strsetlen,input,length

;+---------------------------------------------------------------------
;
; STRSETLEN     5/2004
;
; Convert input to string and truncate trailing characters or add
; spaces as necessary in oder to produce a string of a specified length.
;
; Leading spaces will be omitted. 
;
; INPUTS
;          input   - Scalar or string
;          length  - Desired number of characters in output
;                    string (scalar)
;
; OUPUTS
;          <result> - String with the specified length
;
; HISTORY
;          Written 5/17/2004 GDB
;----------------------------------------------------------------------

if (n_params() lt 2) then begin
   print,'CALLING SEQUENCE: result = strsetlen(input,length)'
   return,-1
endif

; Convert to string
outstring = string(input)

; Remove leading and trailing zeros
outstring = strtrim(outstring,2)

; Determine current length
nchar = strlen(outstring)

; If length is greater than the desired length, truncate.  If shorter,
; add trailing spaces.
if (nchar gt length) then outstring = strmid(outstring,0,length)
if (nchar lt length) then for i=0,length-nchar-1 do outstring=outstring+' '

return,outstring
end
